#
#	Internet Rover Makefile		WB Norton    	12/03/90
#					Merit Computer Network
#					Version 1.4
#	Main Make File
#
#	Broken Up for Functional Stratification:
#		ProblemManager - Common for all Rovers, pollers, etc....
#		InetRover 	- Internet Rover Polling Mechanism
#		MeritRover	- Merit Rover Polling Mechanism
#		Displays	- Graphical and Textual Displays
#		Ctools		- Collection of "C" Tools - subroutines

all:
	cd Ctools ; make ; cd .. ; \
	cd ProblemManager ; make ; cd .. ; \
	cd InetRover ; make ; cd .. ; \
	cd MeritRover ; make ; cd .. ; \
	cd Displays ; make ; cd .. ; 

clean:
	cd Ctools ; make clean ; cd .. ; 
	cd ProblemManager ; make clean ; cd .. ; 
	cd Displays ; make clean ; cd .. ; 
	cd InetRover ; make clean ; cd .. ; 
	cd MeritRover ; make clean ; cd .. ; 
	du
#
#	package.tar consists of ready-made binaries to be untarred when
#	putting a new version into production.
#
package:
	tar cvf package.tar InetRover/InetRoverd InetRover/Display InetRover/xdisplay \
	MeritRover/MeritRoverd MeritRover/meritpoller MeritRover/SortStatus \
	MeritRover/Display MeritRover/xdisplay MeritRover/trimdate 

#	InetRover/LL InetRover/MailBridge InetRover/Help InetRover/ping \
